.sellerOutdated {
  display: flex;
  flex-direction: column;
  color: var(--error-color);

  .svg {
    display: block;
    margin-bottom: 0.5rem;
    width: 1.25rem;
    height: 1.25rem;
    fill: var(--error-color);
  }

  @media screen and (max-width: 980px) {
    flex-direction: row;

    .svg {
      margin: 0 0.5rem 0 0;
    }
  }
}

.sellerPrivate {
  display: block;
  padding: 0.125rem 0.5rem;
  font-size: 0.75rem;
  font-weight: var(--font-weight-medium);
  color: var(--btn-svg-fill);
  background-color: var(--btn-bg-opacity);
  border-radius: 0.125rem;
  @media screen and (max-width: 1200px) {
    font-size: 0.875rem;
    font-weight: var(--font-weight-regular);
  }
}

.sellerNames {
  display: block;
  font-size: 0.75rem;
  &-black {
    display: block;
    font-weight: var(--font-weight-bold);
    padding-bottom: 0.375rem;
  }
  &-gray {
    display: block;
    color: var(--color-main-lightest);
    padding-bottom: 0.75rem;
  }

  .link {
    display: block;
    font-weight: var(--font-weight-medium);
    padding-bottom: 0.375rem;
  }

  @media (min-width: 981px) and (max-width: 1200px) {
    font-size: 0.875rem;
  }

  @media screen and (max-width: 980px) {
    &-black {
      font-size: 1.125rem;
    }
    &-gray {
      font-size: 1rem;
      color: var(--color-main);
    }
  }
}

.sellerOrder {
  display: flex;
  justify-content: flex-end;
  align-items: flex-start;

  .buttonOrder {
    padding: 0 0.875rem;
    font-size: 0.75rem;
    white-space: nowrap;
  }

  .buttonCart {
    margin-left: 0.75rem;
    font-size: 0;
  }

  @media (min-width: 981px) and (max-width: 1200px) {
    flex-direction: column;
    .buttonOrder,
    .buttonCart {
      width: 100%;
      margin: 0 0 0.75rem 0;
      font-size: 0.875rem;
      .svg {
        display: none;
      }
    }
  }

  @media screen and (max-width: 980px) {
    .buttonOrder,
    .buttonCart {
      width: 100%;
      font-size: 1rem;
    }

    .buttonCart {
      .svg {
        display: inline-block;
        margin-right: 0.25rem;
        margin-bottom: -0.125rem;
      }
    }
  }
}

.sellerInfoTable {
  /* todo: Стили для информации о продавце в ячейке таблицы как в ППН */
  /* разметку можно скопировать из таблицы ППН: */
  /* pages/main/poisk-po-nomeru/_manufacturer/_vendorCode/index.vue */
  /* ячейка таблицы - информация о продавце - основная */
  display: grid;

  &-rating {
    display: flex;
    align-items: center;
    min-height: 1.375rem;
    padding-bottom: 0.375rem;

    .sellerReviews {
      padding-left: 0.5rem;
      color: var(--color-main-lightest);
      white-space: nowrap;
    }
  }

  &-name {
    display: block;
    padding-bottom: 0.5rem;
    max-width: 100%;
    overflow: hidden;

    .link {
      display: flex;
      width: 100%;
      max-width: 100%;
    }

    .sellerName {
      display: flex;
      /* width: 100%; */
      max-width: 100%;
      white-space: nowrap;
      font-size: 0.875rem;
      overflow: hidden;
    }

    .sellerConfirmed {
      position: sticky;
      position: -webkit-sticky;
      right: 0.25rem;
      z-index: 1;
      display: inline-flex;
      margin-left: 0.25rem;
      .svg {
        display: block;
        width: 0.875rem;
        height: 0.875rem;
        margin: 0.125rem 0 0;
        flex-shrink: 0;
        fill: var(--link-color);
      }
    }
  }

  &-address {
    .link {
      display: block;
      font-weight: var(--font-weight-medium);
      color: var(--color-main);
    }
  }

  .schedule {
    padding-bottom: 0.5rem;
    font-weight: var(--font-weight-regular);
    color: var(--color-main);
    .open-to, .lunch-to, .close-to {
      display: flex;
      flex-direction: row-reverse;
      align-items: center;
      line-height: 1;
      &:after {
        margin: auto 0.5rem 0.15em 0;
        width: 0.85em;
        height: 0.85em;
      }
    }
  }

  .appWidgetChat {
    margin-left: auto;
  }

  .area-rating {
    grid-area: rating;
  }

  .area-name {
    grid-area: name;
  }

  .area-schedule {
    grid-area: schedule;
  }

  .area-chat {
    grid-area: chat;
  }

  .area-address {
    grid-area: address;
  }

  @media screen and (min-width: 981px) {
    grid-template-columns: 1fr 4.5rem;
    grid-template-rows: auto auto auto 1fr;
    grid-template-areas: "rating chat" "name chat" "schedule chat" "address address";
    padding: 1rem;
    margin: -1rem;
    height: calc(100% + 2rem);
    font-size: 0.75rem;
    background-color: var(--bg-seller-info-table);

    .__hide-shadow:after {
      background-image: var(--liner-gradient-seller-info);
    }
  }
  @media (min-width: 981px) and (max-width: 1200px) {
    grid-template-columns: 1fr 3.5rem;
    margin-left: -0.5rem;
    margin-right: -0.5rem;
    font-size: 0.875rem;
  }

  @media screen and (max-width: 980px) {
    grid-template-columns: 1fr 4.5rem;
    grid-template-areas: "rating chat" "name chat" "schedule chat" "address address";
    margin: 0;
    padding: 0.5rem 0 0;
    height: auto;
    font-size: 0.875rem;

    &-rating, &-name, .schedule {
      padding-bottom: 0.5rem;
      z-index: 10;
      .sellerConfirmed {
        right: 0;
        margin-left: 0.5rem;
        .svg {
          width: 1.125rem;
          height: 1.125rem;
          margin: 0 0 -0.125rem;
        }
      }
    }

    .appWidgetChat {
      margin-bottom: 0.5rem;
    }
  }
}

.sellerBasic {
  font-size: 0.75rem;
  &-item {
    display: flex;
    align-items: center;
    padding-bottom: 0.375rem;
    
    &:last-of-type {
      padding-bottom: 0;
    }
    
    &.scheduleStatus {
      padding-top: 0.625rem;
    }
    
    &-shadow {
      width: 100%;
      max-width: 100%;
    }
  }
  &-reviews {
    padding-left: 0.5rem;
    color: var(--color-main-lightest);
    white-space: nowrap;
  }
  &-counter {
    display: inline-flex;
    margin-left: auto;
    color: var(--color-main-lightest);
  }
  &-name {
    display: flex;
    width: fit-content;
    max-width: 100%;

    .link {
      display: block;
      width: 100%;
      max-width: 100%;
      overflow: hidden;
    }

    svg {
      fill: var(--link-color);
    }
  }
  &-address {
    display: block;
  }

  .schedule {
    padding-bottom: 0.375rem;
    .open-to, .lunch-to, .close-to {
      display: flex;
      flex-direction: row-reverse;
      align-items: center;
      line-height: 1;
      &:after {
        margin-right: 0.5rem;
      }
    }
  }

  @media screen and (min-width: 981px) {
    &-counter {
      > span:not(:last-of-type) {
        display: inline-flex;
        margin-right: 0.75rem;
        padding-right: 0.75rem;
        border-right: 1px solid var(--color-disabled);
      }
    }
  }

  @media (min-width: 981px) and (max-width: 1200px) {
    font-size: 0.875rem;
  }

  @media screen and (max-width: 980px) {
    padding-bottom: 1rem;
    font-size: 0.875rem;

    &-item {
      padding-bottom: 0.5rem;
    }

    &-counter {
      flex-direction: column;
      align-items: flex-end;
      font-size: 0.875rem;
      span + span {
        padding-top: 0.375rem;
      }
    }

    &-address {
      .__no-wrap {
        white-space: normal;
      }
      .__hide-shadow:after {
        content: none;
      }
    }

    .schedule {
      padding-bottom: 0.5rem;
    }
  }
}

.sellerContacts {
  display: flex;
  justify-content: flex-end;
  align-items: flex-start;

  .sclContacts {
    justify-content: flex-end;
    align-items: center;
  }

  .appWidgetChat {
    display: inline-flex;
    margin: 0 0 0 auto;
    width: auto;
  }

  @media screen and (min-width: 1201px) {
    .sclContacts-item {
      width: 1.75rem;
      height: 1.75rem;
    }

    .appWidgetChat {
      .buttonChat {
        display: inline-flex;
        flex-shrink: 0;
        max-width: 1.75rem;
        min-width: 1.75rem;
        height: 1.75rem;
        min-height: 1.75rem;
        .svg {
          width: 0.875rem;
        }
      }
    }
  }

  @media (min-width: 981px) and (max-width: 1200px) {
    justify-content: flex-end;
    align-items: flex-start;

    .appWidgetChat {
      margin: 0 auto 0 0;
      width: auto;
      .buttonChat {
        margin-right: 0.5rem;
      }
    }
    .sclContacts {
      flex-wrap: wrap;
      justify-content: flex-end;
      margin-right: auto;
      margin-left: -0.4375rem;
      &-item {
        margin-bottom: 0.5rem;
      }
    }
  }

  @media screen and (max-width: 980px) {

  }
}

.sellerStatus {
  display: flex;
  align-items: stretch;
  &-item {
    display: inline-flex;
    align-items: center;
  }
  &-value {
    font-size: 1.5rem;
    font-weight: var(--font-weight-bold);
    font-family: var(--font-heading);
    line-height: 1;
    color: var(--btn-bg);
  }
  &-text {
    padding-left: 0.625rem;
    font-size: 0.75rem;
  }

  @media screen and (min-width: 981px) {
    .sellerStatus-item + .sellerStatus-item {
      margin-left: 1.5rem;
      padding-left: 1.5rem;
      border-left: 1px solid var(--border-color-main);
    }
  }
  @media screen and (max-width: 980px) {
    justify-content: space-between;
    margin: auto;
    width: 100%;
    max-width: 26rem;
    border-bottom: 1px solid var(--border-color-main);
    &-item {
      flex-direction: column;
    }
    &-value {
      display: inline-flex;
      align-items: center;
      justify-content: center;
      height: 1.875rem;
    }
    &-text {
      padding: 0.5rem 0.5rem 1rem 0.5rem;
      font-size: 0.8125rem;
    }
  }
}
